'use strict';


exports.save = async function () {
    await this.bindDefault();
    this.body =  await this.mongo("Endecode",this.request.body).saveByKey();
	return
}
exports.save.__method__ = 'POST';

exports.query = async function () {
    await this.bindDefault();
    this.body =  await this.mongo("Endecode").query();
	return
}
exports.query.__method__ = 'GET';

exports.delete = async function(){
    await this.bindDefault();
    this.body = await this.mongo("Endecode").delete(this.request.query._id);
    return
}
exports.delete.__method__ = "GET";

exports.update = async function(){
    await this.bindDefault();
    this.body = await this.mongo("Endecode").update(this.request.query._id,this.request.query);
    return
}
exports.update.__method__ = "PUT"
